org.codehaus.groovy.tools.shell.util

## Class SimpleCompletor

- java.lang.Object
- - jline.SimpleCompletor
  - - org.codehaus.groovy.tools.shell.util.SimpleCompletor

All Implemented Interfaces:
  Cloneable, jline.Completor

    public class SimpleCompletor
    extends jline.SimpleCompletor

Support for simple completors.

Version:
  $Id: SimpleCompletor.java 7673 2007-08-24 09:39:38Z user57 $
Author:
  Jason Dillon

### Nested Class Summary

### Nested classes/interfaces inherited from class jline.SimpleCompletor

`jline.SimpleCompletor.NoOpFilter, jline.SimpleCompletor.SimpleCompletorFilter`

### Constructor Summary

Constructors
Constructor and Description
`SimpleCompletor()`
`SimpleCompletor(Closure loader)`
`SimpleCompletor(String[] candidates)`

### Method Summary

Methods
`void` `add(String candidate)`
`int` `complete(String buffer, int cursor, List clist)`
`Object` `leftShift(String s)`

### Methods inherited from class jline.SimpleCompletor

`addCandidateString, clone, getCandidates, getDelimiter, setCandidates, setCandidateStrings, setDelimiter`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleCompletor

    public SimpleCompletor(String[] candidates)

#### SimpleCompletor

    public SimpleCompletor()

#### SimpleCompletor

    public SimpleCompletor(Closure loader)

### Method Detail

#### add

    public void add(String candidate)

#### leftShift

    public Object leftShift(String s)

#### complete

    public int complete(String buffer,
               int cursor,
               List clist)

Specified by:
  `complete` in interface `jline.Completor`
Overrides:
  `complete` in class `jline.SimpleCompletor`